Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iscript
Class IScript

    java.lang.Object
      ix.iscript.IScript

    public class IScript

extends java.lang.Object

I-Script expression factory.

Constructor Summary
`IScript()`

Method Summary
`And` | `makeAnd(ix.iscript.ListOfExpression exprs)`
`Assignment` | `makeAssignment(Name name, Expression valExpr)`
`Assignment` | `makeAssignment(Symbol name, Expression valExpr)`
`Binding` | `makeBinding(Name name, Expression valExpr)`
`Call` | `makeCall(Expression fnExpr, ix.iscript.ListOfExpression argExprs)`
`If` | `makeIf(Expression test, Expression ifTrue, Expression ifFalse)`
`Lambda` | `makeLambda(ix.util.ListOfName parameters, Expression body)`
`Lambda` | `makeLambda(Symbol[] parameters, Expression body)`
`Let` | `makeLet(ix.iscript.ListOfBinding bindings, Expression body)`
`Let` | `makeLet(Symbol[] vars, ix.iscript.ListOfExpression valExprs, Expression body)`
`Literal` | `makeLiteral(java.lang.Object value)`
`Or` | `makeOr(ix.iscript.ListOfExpression exprs)`
`Sequence` | `makeSequence(ix.iscript.ListOfExpression exprs)`
`VarRef` | `makeVarRef(Name name)`
`VarRef` | `makeVarRef(Symbol name)`
`While` | `makeWhile(Expression test, Expression body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IScript

    public IScript()

Method Detail

### makeLiteral

    public Literal makeLiteral(java.lang.Object value)

### makeVarRef

    public VarRef makeVarRef(Symbol name)

### makeVarRef

    public VarRef makeVarRef(Name name)

### makeCall

    public Call makeCall(Expression fnExpr,
                         ix.iscript.ListOfExpression argExprs)

### makeAssignment

    public Assignment makeAssignment(Symbol name,
                                     Expression valExpr)

### makeAssignment

    public Assignment makeAssignment(Name name,
                                     Expression valExpr)

### makeIf

    public If makeIf(Expression test,
                     Expression ifTrue,
                     Expression ifFalse)

### makeSequence

    public Sequence makeSequence(ix.iscript.ListOfExpression exprs)

### makeAnd

    public And makeAnd(ix.iscript.ListOfExpression exprs)

### makeOr

    public Or makeOr(ix.iscript.ListOfExpression exprs)

### makeLet

    public Let makeLet(Symbol[] vars,
                       ix.iscript.ListOfExpression valExprs,
                       Expression body)

### makeLet

    public Let makeLet(ix.iscript.ListOfBinding bindings,
                       Expression body)

### makeBinding

    public Binding makeBinding(Name name,
                               Expression valExpr)

### makeLambda

    public Lambda makeLambda(Symbol[] parameters,
                             Expression body)

### makeLambda

    public Lambda makeLambda(ix.util.ListOfName parameters,
                             Expression body)

### makeWhile

    public While makeWhile(Expression test,
                           Expression body)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD